/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "entity.h"

void entitySystemInit(entitysystem_t *entitySystem) {
  memset(&entitySystem->entities, ENTITY_TYPE_NULL,
    sizeof(entityid_t) * ENTITY_COUNT_MAX
  );
}

void entitySystemUpdate(entitysystem_t *entitySystem,
  shader_t *shader, camera_t *camera,
  input_t *input
) {
  entitySystem->callbacks[0].render(entitySystem, 0, shader, camera, input);
}