/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "entity.h"
#include "../../display/primitive.h"
#include "../../display/primitives/quad.h"

void playerCreate(entitysystem_t *system, int32_t index);
void playerDispose(entitysystem_t *system, int32_t index);
void playerRender(entitysystem_t *system, int32_t index,
  shader_t *shader, camera_t *camera,
  input_t *input
);